summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--standalone/windows/build-simple.sh2
-rwxr-xr-xstandalone/windows/build.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/standalone/windows/build-simple.sh b/standalone/windows/build-simple.sh
index 3011884c9..d15db2072 100644
--- a/standalone/windows/build-simple.sh
+++ b/standalone/windows/build-simple.sh
@@ -29,6 +29,6 @@ withcyg cabal build || true
# Works around link failure https://ghc.haskell.org/trac/ghc/ticket/8596
# using a response file.
withcyg rm -f build.log gcc.opt
-withcyg cabal build --ghc-options='-v -keep-tmp-files' > build.log 2>&1
+withcyg cabal build --ghc-options='-v -keep-tmp-files' > build.log 2>&1 || true
withcyg grep '"dist\\build\\git-annex\\git-annex.exe"' build.log | sed -e 's/^"[^"]*" //' -e 's/\\/\//g' > gcc.opt
"$HP/mingw/bin/gcc.exe" @gcc.opt
diff --git a/standalone/windows/build.sh b/standalone/windows/build.sh
index 9b8fcba84..75685e4e7 100755
--- a/standalone/windows/build.sh
+++ b/standalone/windows/build.sh
@@ -51,7 +51,7 @@ withcyg cabal build || true
# Works around link failure https://ghc.haskell.org/trac/ghc/ticket/8596
# using a response file.
rm -f build.log gcc.opt
-withcyg cabal build --ghc-options='-v -keep-tmp-files' > build.log 2>&1
+withcyg cabal build --ghc-options='-v -keep-tmp-files' > build.log 2>&1 || true
grep '"dist\\build\\git-annex\\git-annex.exe"' build.log | sed -e 's/^"[^"]*" //' -e 's/\\/\//g' > gcc.opt
"$HP/mingw/bin/gcc.exe" @gcc.opt